Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.x509
Class CertPathReviewerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.bouncycastle.i18n.LocalizedException
                  org.bouncycastle.x509.CertPathReviewerException

All Implemented Interfaces:
  java.io.Serializable

    public class CertPathReviewerException

extends org.bouncycastle.i18n.LocalizedException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.bouncycastle.i18n.LocalizedException
`message`

Constructor Summary
`CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage)`
`CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage, java.security.cert.CertPath certPath, int index)`
`CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage, java.lang.Throwable throwable)`
`CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage, java.lang.Throwable throwable, java.security.cert.CertPath certPath, int index)`

Method Summary
`java.security.cert.CertPath` `getCertPath()`
`int` `getIndex()`

Methods inherited from class org.bouncycastle.i18n.LocalizedException
`getCause, getErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertPathReviewerException

    public CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage,
                                     java.lang.Throwable throwable)

### CertPathReviewerException

    public CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage)

### CertPathReviewerException

    public CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage,
                                     java.lang.Throwable throwable,
                                     java.security.cert.CertPath certPath,
                                     int index)

### CertPathReviewerException

    public CertPathReviewerException(org.bouncycastle.i18n.ErrorBundle errorMessage,
                                     java.security.cert.CertPath certPath,
                                     int index)

Method Detail

### getCertPath

    public java.security.cert.CertPath getCertPath()

### getIndex

    public int getIndex()

Bouncy Castle Cryptography Library 1.45